Package ghidra.app.util.bin.format.macho.commands.codesignature

# Class CodeSignatureConstants

java.lang.Object
ghidra.app.util.bin.format.macho.commands.codesignature.CodeSignatureConstants

public class CodeSignatureConstants extends Object
Code Signature constants

See Also:
  - osfmk/kern/cs_blobs.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CSMAGIC_BLOBWRAPPER`
  `static final int`
  `CSMAGIC_CODEDIRECTORY`
  `static final int`
  `CSMAGIC_DETACHED_SIGNATURE`
  `static final int`
  `CSMAGIC_EMBEDDED_DER_ENTITLEMENTS`
  `static final int`
  `CSMAGIC_EMBEDDED_ENTITLEMENTS`
  `static final int`
  `CSMAGIC_EMBEDDED_LAUNCH_CONSTRAINT`
  `static final int`
  `CSMAGIC_EMBEDDED_SIGNATURE`
  `static final int`
  `CSMAGIC_EMBEDDED_SIGNATURE_OLD`
  `static final int`
  `CSMAGIC_REQUIREMENT`
  `static final int`
  `CSMAGIC_REQUIREMENTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeSignatureConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CSMAGIC_REQUIREMENT

    public static final int CSMAGIC_REQUIREMENT
    See Also:
      - Constant Field Values

  - ### CSMAGIC_REQUIREMENTS

    public static final int CSMAGIC_REQUIREMENTS
    See Also:
      - Constant Field Values

  - ### CSMAGIC_CODEDIRECTORY

    public static final int CSMAGIC_CODEDIRECTORY
    See Also:
      - Constant Field Values

  - ### CSMAGIC_EMBEDDED_SIGNATURE

    public static final int CSMAGIC_EMBEDDED_SIGNATURE
    See Also:
      - Constant Field Values

  - ### CSMAGIC_EMBEDDED_SIGNATURE_OLD

    public static final int CSMAGIC_EMBEDDED_SIGNATURE_OLD
    See Also:
      - Constant Field Values

  - ### CSMAGIC_EMBEDDED_ENTITLEMENTS

    public static final int CSMAGIC_EMBEDDED_ENTITLEMENTS
    See Also:
      - Constant Field Values

  - ### CSMAGIC_EMBEDDED_DER_ENTITLEMENTS

    public static final int CSMAGIC_EMBEDDED_DER_ENTITLEMENTS
    See Also:
      - Constant Field Values

  - ### CSMAGIC_DETACHED_SIGNATURE

    public static final int CSMAGIC_DETACHED_SIGNATURE
    See Also:
      - Constant Field Values

  - ### CSMAGIC_BLOBWRAPPER

    public static final int CSMAGIC_BLOBWRAPPER
    See Also:
      - Constant Field Values

  - ### CSMAGIC_EMBEDDED_LAUNCH_CONSTRAINT

    public static final int CSMAGIC_EMBEDDED_LAUNCH_CONSTRAINT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CodeSignatureConstants

    public CodeSignatureConstants()